Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.command
Class ExecuteJavaHeadlessHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.command.ExecuteJavaHandler
                          org.eclipse.amp.escape.command.ExecuteJavaHeadlessHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteJavaEMFOutputHandler

    public class ExecuteJavaHeadlessHandler

extends ExecuteJavaHandler

The Class ExecuteJavaHeadlessHandler.

Constructor Summary
`ExecuteJavaHeadlessHandler()` Instantiates a new execute java headless handler.

Method Summary

Methods inherited from class org.eclipse.amp.escape.command.ExecuteJavaHandler
`executeOpen, getType, handleSelect, isSupertype, isTypeSupertype`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`createRunner, execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteJavaHeadlessHandler

    public ExecuteJavaHeadlessHandler()

  Instantiates a new execute java headless handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD